@echo off

rem -- http://PHPnow.org
rem -- By Yinz ( MSN / QQ / Email : Cwood@qq.com )

echo.
echo 正在重新启动 Apache 网络服务....请稍等。

setlocal enableextensions
if exist Pn\Config.cmd pushd . & goto cfg
if exist ..\Pn\Config.cmd pushd .. & goto cfg
goto :eof

:cfg
call Pn\Config.cmd
if "%php%"=="" exit /b
prompt -$g

pushd %htd_dir%
bin\%htd_exe% -k restart -n %htd_svc% || (pushd .. & %pause% & popd)
popd

echo.
echo ...........OK !!
echo.
echo.
pause

prompt
popd
